import { AfterViewChecked, ChangeDetectorRef, ElementRef, NgZone, OnDestroy, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { AbstractVariable } from '@iotize/tap/data';
import { PieChartComponent } from '@swimlane/ngx-charts';
import { ChartInputSingle, ChartInputStreamVar } from '../ChartDataModel';
import { OnChartSelectEvent } from '../shared-types';
import * as i0 from "@angular/core";
export declare class TapVariablePieChartAdvancedComponent extends PieChartComponent implements AfterViewChecked, OnDestroy, OnInit {
    private modalController;
    showDetails: boolean;
    showExportButton: boolean;
    exportedFileName?: string;
    set variable(variableOrArray: AbstractVariable<number | number[]> | undefined);
    set history(enable: boolean);
    set valueCountLimit(limit: number | undefined);
    set label(indexOrArray: string | string[] | undefined | Function);
    colorScheme: {
        domain: string[];
    };
    private _history;
    private _valueCountLimit;
    private _input;
    set input(inputs: ChartInputStreamVar[]);
    private destroyed;
    ngOnInit(): void;
    results: ChartInputSingle[];
    private chartModel;
    private subscription?;
    constructor(myChartElement: ElementRef<any>, zone: NgZone, cd: ChangeDetectorRef, platformId: string, modalController: ModalController);
    ngAfterViewChecked(): void;
    onSelect(event: OnChartSelectEvent): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapVariablePieChartAdvancedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TapVariablePieChartAdvancedComponent, "tap-variable-pie-chart-advanced", never, { "showDetails": "showDetails"; "showExportButton": "showExportButton"; "exportedFileName": "exportedFileName"; "variable": "variable"; "history": "history"; "valueCountLimit": "valueCountLimit"; "label": "label"; "colorScheme": "colorScheme"; "input": "input"; }, {}, never, never, false>;
}
